## org.apache.batik.apps.svgbrowser
Class ThumbnailDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          org.apache.batik.apps.svgbrowser.ThumbnailDialog

All Implemented Interfaces:
  javax.accessibility.Accessible, java.awt.image.ImageObserver, java.awt.MenuContainer, javax.swing.RootPaneContainer, java.io.Serializable, javax.swing.WindowConstants

public class ThumbnailDialog
extends javax.swing.JDialog

This class represents a Dialog that displays a Thumbnail of the current SVG document.

See Also:
  Serialized Form

Nested Class Summary
`protected class` `ThumbnailDialog.AreaOfInterestListener` Used to perform a translation using the area of interest.
`protected class` `ThumbnailDialog.AreaOfInterestOverlay` An overlay that represents the current area of interest.
`protected class` `ThumbnailDialog.ThumbnailCanvasComponentListener` Used to allow the SVG document being displayed by the thumbnail to be resized properly when parent resizes.
`protected class` `ThumbnailDialog.ThumbnailComponentListener` Used to allow the SVG document being displayed by the thumbnail to be resized properly.
`protected class` `ThumbnailDialog.ThumbnailDocumentListener` Used to determine whether or not the GVT tree of the thumbnail has to be updated.
`protected class` `ThumbnailDialog.ThumbnailGVTListener` Used to update the overlay and/or the GVT tree of the thumbnail.
`protected class` `ThumbnailDialog.ThumbnailListener` Used the first time the thumbnail dialog is shown to make visible the current GVT tree being displayed by the original SVG component.

Nested classes inherited from class javax.swing.JDialog
`javax.swing.JDialog.AccessibleJDialog`

Nested classes inherited from class java.awt.Dialog
`java.awt.Dialog.AccessibleAWTDialog`

Nested classes inherited from class java.awt.Window
`java.awt.Window.AccessibleAWTWindow`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected ThumbnailDialog.AreaOfInterestListener` `aoiListener` The overlay used to display the area of interest.
`protected static java.util.ResourceBundle` `bundle` The resource bundle
`protected boolean` `documentChanged` A flag bit that indicates a document has been loaded.
`protected boolean` `interactionEnabled`
`protected ThumbnailDialog.AreaOfInterestOverlay` `overlay` The overlay used to display the area of interest.
`protected static ResourceManager` `resources` The resource manager
`protected static java.lang.String` `RESOURCES` The resource file name
`protected JSVGCanvas` `svgCanvas` The canvas that owns the SVG document to display.
`protected JGVTComponent` `svgThumbnailCanvas` The canvas that displays the thumbnail.

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ThumbnailDialog(java.awt.Frame owner, JSVGCanvas svgCanvas)` Constructs a new `ThumbnailDialog` for the specified canvas.

Method Summary
`protected CanvasGraphicsNode` `getCanvasGraphicsNode(GraphicsNode gn)`
`boolean` `getInteractionEnabled()`
`void` `setInteractionEnabled(boolean b)`
`protected void` `updateThumbnailGraphicsNode()` Updates the thumbnail component.
`protected void` `updateThumbnailRenderingTransform()` Updates the thumbnail component rendering transform.

Methods inherited from class javax.swing.JDialog

`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getJMenuBar, getLayeredPane, getRootPane, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, update`

Methods inherited from class java.awt.Dialog
`addNotify, dispose, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setResizable, setTitle, setUndecorated, show`

Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, finalize, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getInputContext, getListeners, getLocale, getMostRecentFocusOwner, getOwnedWindows, getOwner, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindowStateListeners, isActive, isFocusableWindow, isFocusCycleRoot, isFocused, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, setCursor, setFocusableWindowState, setFocusCycleRoot, setLocationRelativeTo, toBack, toFront`

Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, removeNotify, setFocusTraversalKeys, setFocusTraversalPolicy, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### RESOURCES

    protected static final java.lang.String RESOURCES

  The resource file name

  See Also:
    Constant Field Values

### bundle

    protected static java.util.ResourceBundle bundle

  The resource bundle

### resources

    protected static ResourceManager resources

  The resource manager

### svgCanvas

    protected JSVGCanvas svgCanvas

  The canvas that owns the SVG document to display.

### svgThumbnailCanvas

    protected JGVTComponent svgThumbnailCanvas

  The canvas that displays the thumbnail.

### documentChanged

    protected boolean documentChanged

  A flag bit that indicates a document has been loaded.

### overlay

    protected ThumbnailDialog.AreaOfInterestOverlay overlay

  The overlay used to display the area of interest.

### aoiListener

    protected ThumbnailDialog.AreaOfInterestListener aoiListener

  The overlay used to display the area of interest.

### interactionEnabled

    protected boolean interactionEnabled

Constructor Detail

### ThumbnailDialog

    public ThumbnailDialog(java.awt.Frame owner,
                           JSVGCanvas svgCanvas)

  Constructs a new `ThumbnailDialog` for the specified canvas.

Method Detail

### setInteractionEnabled

    public void setInteractionEnabled(boolean b)

### getInteractionEnabled

    public boolean getInteractionEnabled()

### updateThumbnailGraphicsNode

    protected void updateThumbnailGraphicsNode()

  Updates the thumbnail component.

### getCanvasGraphicsNode

    protected CanvasGraphicsNode getCanvasGraphicsNode(GraphicsNode gn)

### updateThumbnailRenderingTransform

    protected void updateThumbnailRenderingTransform()

  Updates the thumbnail component rendering transform.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.